## mp4h 1.3.1

=== debian/changelog ===
mp4h (1.3.1-17) unstable; urgency=medium

  [ Axel Beckert ]
  * Update Vcs-* headers for packaging repository moving to Salsa.
  * Drop one-man-team from Maintainer field, set myself personally there
    instead. (Closes: #899914)
  * Remove trailing whitespace from ancient debian/changelog entries.
  * Declare compliance with Debian Policy 4.1.4.
    + Update debian/copyright format URL and another one to HTTPS.
  * Drop no more needed Testsuite field from debian/control.
  * Add (mostly redundant) DEP12 debian/upstream/metadata file.
  * Add patch to fix spelling error found by lintian in man page.

  [ Helmut Grohne ]
  * Link libpcre dynamically. (Closes: #901534)

 -- Axel Beckert <abe@debian.org>  Wed, 27 Jun 2018 02:04:54 +0200

mp4h (1.3.1-16) unstable; urgency=medium

  * Finetune regular expression for replacing <timer/> output in HTML
    documentation to gain reproducibility. (Hopefully closes: #833437)
  * Make all patch headers DEP-3 compatible and switch remaining
    bugs.debian.org URLs to https://.
  * Add lintian override for spelling-error-in-* since "substract" is a
    command of mp4h and cannot be changed.

 -- Axel Beckert <abe@debian.org>  Sat, 13 Aug 2016 00:17:10 +0200

mp4h (1.3.1-15) unstable; urgency=medium

  * Also overwrite the "sys" time counter in documentation examples. Can
    vary, too, but happens more seldom, hence relevant for
    reproducibility.

 -- Axel Beckert <abe@debian.org>  Sat, 07 May 2016 19:55:04 +0200

mp4h (1.3.1-14) unstable; urgency=medium

  * Finally eradicate the last few non-deterministic bits in the
    documentation by overwritting the time needed to generate the
    documentation with a hardcoded value to make the build reproducible.

 -- Axel Beckert <abe@debian.org>  Fri, 06 May 2016 17:44:34 +0200

mp4h (1.3.1-13) unstable; urgency=medium

  * Run documentation generation under TZ=UTC. Should make the build more
    reproducible.
  * Add comments for the reproducibility hacks in debian/rules like
    fakeroot and friends. Thanks to Chris Lamb for the suggestion.
  * Enable all hardening flags.
  * Switch Vcs-Git header from git:// to https://.
  * Switch Homepage header from http:// to https://.
  * Remove (build-time generated) libltdl directory in clean target.
  * Override dh_makeshlibs with an empty no-op rule to fix lintian warning
    package-has-unnecessary-activation-of-ldconfig-trigger.
  * Enable parallel building.
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Fri, 06 May 2016 01:11:01 +0200

mp4h (1.3.1-12) unstable; urgency=medium

  * Hopefully fix as-installed testing by patching shtool dynamically with
    sed so that it doesn't output a specific warning to STDERR.
  * Extend debian/patches/reproducible-build.diff to avoid having to use
    faketime to properly set modification timestamps during the build.
    + Drop build-dependency on faketime.
  * Apply wrap-and-sort.

 -- Axel Beckert <abe@debian.org>  Sun, 13 Dec 2015 21:34:04 +0100

mp4h (1.3.1-11) unstable; urgency=low

  * Upload to unstable again.
  * Remove Built-Using header again. While parts of GNU gettext are under
    GPL, none of the copied files are. They're all either too small to be
    copyrightable or have a license without any relevant restrictions.
  * debian/copyright: Only mention web.archive.org URL to make DUCK happy.
  * Add SOURCE_DATE_EPOCH support to reproducible-build.diff patch.
  * Remove lintian override for postrm-has-useless-call-to-ldconfig, no
    more emitted.
  * Make debian/tests/testsuite call test.sh inside the right directory.
  * reproducible-build.diff: Add hunk which fixes test suite failures
    depending on file system order.

 -- Axel Beckert <abe@debian.org>  Sat, 17 Oct 2015 22:38:57 +0200

mp4h (1.3.1-10) experimental; urgency=medium

  * Try to make the build reproducible.
    + Use fakeroot and recreate files where file meta data is used as
      example.
    + Use faketime where current date is used in examples.
    + Add patch to reduce build meta data in documentation.
  * Add http://sourceforge.net/projects/mp4h/ as homepage to have at least
    one despite it's outdated (latest release there is 1.2.4)
  * Declare compliance with Debian Policy 3.9.6 (no other changes needed).
  * Add lintian overrides for post{rm,inst}-has-useless-call-to-ldconfig
    as this is caused by #204975 in debhelper.
  * Add tests/*.{log,trs} and *.out to debian/clean.
  * Use cgit and https URL in Vcs-Browser header.
  * Make package autopkgtestable.

 -- Axel Beckert <abe@debian.org>  Wed, 13 May 2015 01:38:52 +0200

mp4h (1.3.1-9) unstable; urgency=low

  [ Eric Dorland ]
  * Add patch to fix compatibility with newer automake versions

  [ Axel Beckert ]
  * Remove dependency on automake1.9: together with Eric's patch and
    dh-autoreconf it's no more necessary. (Closes: #724418)
  * Refresh patches 653362-fix-ftbfs-on-hurd and use-system-pcre

 -- Axel Beckert <abe@debian.org>  Wed, 25 Sep 2013 02:07:04 +0200

mp4h (1.3.1-8) unstable; urgency=low

  * Upload to unstable again.
  * Add Built-Using header due to copying files from gettext into the
    build directory.

 -- Axel Beckert <abe@debian.org>  Sat, 04 May 2013 11:03:20 +0200

mp4h (1.3.1-7) experimental; urgency=low

  * Fix FTBFS on GNU/Hurd (Closes: #653362) Thanks to Svante Signell for
    investigation and the patch!
  * Fix FTBFS with -Werror=format-security.
  * Remove manual DEB_BUILD_OPTIONS check around dh_strip as dh_strip does
    that itself.
  * Bump Standards-Version to 3.9.4 (no changes)
  * Bump debhelper compatibility to 9
    + Add Pre-Depends on ${misc:Pre-Depends)
  * Switch to source format "3.0 (quilt)"
    + Drop build-dependency on quilt
    + Drop debian/README.source
    + Remove quilt traces from debian/rules
  * Switch from autotools-dev to dh-autoreconf
    + Update build-dependencies accordingly
  * Revamp debian/rules:
    + Use dh_auto_{configure,build,install}

